// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "Prefab.hpp"
#include "scene/SceneItem.hpp"

namespace Dawn {
  template<class T>
  class SceneItemPrefab :
    public SceneItem,
    public Prefab<T>
  {
    protected:

    public:
      SceneItemPrefab(Scene *scene, sceneitemid_t id) :
        SceneItem(scene, id)
      {

      }

      virtual void prefabInit() = 0;
  };
}